nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::IActiveSettingChangedAction Class Referenceabstract

`#include <i_active_setting_changed_action.h>`

Inheritance diagram for nx::sdk::IActiveSettingChangedAction:

## Public Member Functions
virtual const char * | activeSettingName () const =0
virtual const char * | settingsModel () const =0
Ptr< const IStringMap > | settingsValues () const
Ptr< const IStringMap > | params () const
Public Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedAction >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual const IStringMap * | getSettingsValues () const =0
virtual const IStringMap * | getParams () const =0
Protected Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedAction >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Data sent from the Client to the plugin when the user changes the state of an Active setting.

## Member Function Documentation

## ◆ activeSettingName()

virtual const char* nx::sdk::IActiveSettingChangedAction::activeSettingName | ( |  | ) | const
| pure virtual

Returns
  Name of a setting which has triggered this notification.

Implemented in nx::sdk::ActiveSettingChangedAction.

## ◆ getParams()

virtual const IStringMap* nx::sdk::IActiveSettingChangedAction::getParams | ( |  | ) | const
| protectedpure virtual

Called by params()

Implemented in nx::sdk::ActiveSettingChangedAction.

## ◆ getSettingsValues()

virtual const IStringMap* nx::sdk::IActiveSettingChangedAction::getSettingsValues | ( |  | ) | const
| protectedpure virtual

Called by settingsValues()

Implemented in nx::sdk::ActiveSettingChangedAction.

## ◆ params()

Ptr<const IStringMap> nx::sdk::IActiveSettingChangedAction::params | ( |  | ) | const
| inline

If the Active setting defines params in the Manifest, contains the array of their values after they are filled by the user via the Client form. Otherwise, null.

## ◆ settingsModel()

virtual const char* nx::sdk::IActiveSettingChangedAction::settingsModel | ( |  | ) | const
| pure virtual

Returns
  Model of settings the Active setting has been triggered on. Never null.

Implemented in nx::sdk::ActiveSettingChangedAction.

## ◆ settingsValues()

Ptr<const IStringMap> nx::sdk::IActiveSettingChangedAction::settingsValues | ( |  | ) | const
| inline

Returns
  Values currently set in the GUI. Never null.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_active_setting_changed_action.h